### Method

# GLib Hmac ref

since: 2.30

#### Declaration

    GHmac*
    g_hmac_ref (
      GHmac* hmac
    )

#### Description

Atomically increments the reference count of `hmac` by one.

This function is MT-safe and may be called from any thread.

Available since: 2.30

#### Return value

Type: `GHmac`

The passed in `GHmac`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.